ldap_auth_info Struct Reference

Schema (dn) and info to use for a basic ldap authentication. More...

`#include <ldaputils.h>`

## Data Fields

gchar * | ldap_host
| Address of the ldap server, might include port.
gchar * | auth_dn
| DN to authenticate with.
gboolean | allow_plaintext
| !Whether or not StartTLS or LDAPS is required.
gboolean | ldaps_only
| Whether to try LDAPS before StartTLS.

## Detailed Description

Schema (dn) and info to use for a basic ldap authentication.

Use like an opaque struct, create with ldap_auth_schema_new, do not modify, free with ldap_auth_schema_free.

## Field Documentation

## allow_plaintext

gboolean ldap_auth_info::allow_plaintext

!Whether or not StartTLS or LDAPS is required.

## auth_dn

gchar* ldap_auth_info::auth_dn

DN to authenticate with.

## ldap_host

gchar* ldap_auth_info::ldap_host

Address of the ldap server, might include port.

## ldaps_only

gboolean ldap_auth_info::ldaps_only

Whether to try LDAPS before StartTLS.

The documentation for this struct was generated from the following file:

- util/ldaputils.h